Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.lemma.processor.xhtml
Class XRefProcessor

    java.lang.Object
      org.teleal.lemma.processor.AbstractProcessor<org.teleal.common.xhtml.XHTML,org.teleal.common.xhtml.XHTML>
          org.teleal.lemma.processor.xhtml.XRefProcessor

All Implemented Interfaces:
  Processor<org.teleal.common.xhtml.XHTML,org.teleal.common.xhtml.XHTML>

    public class XRefProcessor

extends AbstractProcessor<org.teleal.common.xhtml.XHTML,org.teleal.common.xhtml.XHTML>

Detects cross-reference anchors and sets their link text.

Author:
  Christian Bauer

Field Summary

Fields inherited from class org.teleal.lemma.processor.AbstractProcessor
`READER_SUFFIX_MAP`

Constructor Summary
`XRefProcessor()`

Method Summary
`protected String` | `getResolvedLabel(CitationAnchor xref)`
`protected String` | `getResolvedLabel(CitationAnchor xref, org.teleal.common.xhtml.XHTMLElement citationElement)`
`protected String` | `getUnresolvedLabel(String xrefTarget)`
`protected String` | `getUnresolvedLink(String xrefTarget)`
`org.teleal.common.xhtml.XHTML` | `process(org.teleal.common.xhtml.XHTML input, Context context)`
`protected org.teleal.common.xhtml.XHTML` | `transformReferences(org.teleal.common.xhtml.XHTML input, Context context)`

Methods inherited from class org.teleal.lemma.processor.AbstractProcessor
`findCitationAnchors, findCitationAnchors, getParser, getReader, getXPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XRefProcessor

    public XRefProcessor()

Method Detail

### process

    public org.teleal.common.xhtml.XHTML process(org.teleal.common.xhtml.XHTML input,
                                                 Context context)

### transformReferences

    protected org.teleal.common.xhtml.XHTML transformReferences(org.teleal.common.xhtml.XHTML input,
                                                                Context context)

### getResolvedLabel

    protected String getResolvedLabel(CitationAnchor xref)

### getResolvedLabel

    protected String getResolvedLabel(CitationAnchor xref,
                                      org.teleal.common.xhtml.XHTMLElement citationElement)

### getUnresolvedLink

    protected String getUnresolvedLink(String xrefTarget)

### getUnresolvedLabel

    protected String getUnresolvedLabel(String xrefTarget)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.